---
debug_level: 2
openstack_infra_heat_stack:     "{{ lookup('oo_option', 'infra_heat_stack' ) |
                                    default('files/heat_stack.yaml',         True) }}"
openstack_subnet_24_prefix:     "{{ lookup('oo_option', 'subnet_24_prefix'         ) |
                                    default('192.168.' + ( ( 1048576 | random % 256 ) | string() ), True) }}"
openstack_network_external_net: "{{ lookup('oo_option', 'external_net'     ) |
                                    default('external',                      True) }}"
openstack_network_dns:          "{{ lookup('oo_option', 'dns'              ) |
                                    default('8.8.8.8,8.8.4.4',               True) | oo_split() }}"
openstack_ssh_public_key:       "{{ lookup('file', lookup('oo_option', 'public_key') |
                                    default('~/.ssh/id_rsa.pub',             True)) }}"
openstack_ssh_access_from:      "{{ lookup('oo_option', 'ssh_from')          |
                                    default('0.0.0.0/0',                     True) }}"
openstack_node_port_access_from: "{{ lookup('oo_option', 'node_port_from')   |
                                    default('0.0.0.0/0',                     True) }}"
openstack_flavor:
  etcd:   "{{ lookup('oo_option', 'etcd_flavor'      ) | default('m1.small',  True) }}"
  master: "{{ lookup('oo_option', 'master_flavor'    ) | default('m1.small',  True) }}"
  infra:  "{{ lookup('oo_option', 'infra_flavor'     ) | default('m1.small',  True) }}"
  node:   "{{ lookup('oo_option', 'node_flavor'      ) | default('m1.medium', True) }}"

deployment_rhel7_ent_base:
  image: "{{ lookup('oo_option', 'image_name') | default('rhel-guest-image-7.2-20151102.0.x86_64', True) }}"
  ssh_user: openshift
  become: yes

deployment_vars:
  origin:
    image: "{{ lookup('oo_option', 'image_name') | default('centos-70-raw', True) }}"
    ssh_user: openshift
    become: yes
  enterprise: "{{ deployment_rhel7_ent_base }}"
  openshift-enterprise: "{{ deployment_rhel7_ent_base }}"
  atomic-enterprise: "{{ deployment_rhel7_ent_base }}"
